Summary: Access control list utilities.
Name: acl
Version: 2.2.34
Release: 1
Packager: Silicon Graphics, Inc. <http://www.sgi.com/>
BuildRoot: /tmp/26996
Source: acl-2.2.34.src.tar.gz
License: GPL
Vendor: Silicon Graphics, Inc.
Group: System Environment/Base
URL: http://acl.bestbits.at/

%description
This package contains the getfacl and setfacl utilities needed for
manipulating access control lists.

%package -n libacl
Summary: Dynamic library for access control list support.
Group: Development/Libraries
Prereq: /sbin/ldconfig

%description -n libacl
This package contains the libacl.so dynamic library which contains
the POSIX 1003.1e draft standard 17 functions for manipulating access
control lists.

%package -n libacl-devel
Summary: Access control list static libraries and headers.
Group: Development/Libraries
Requires: libacl
Provides: acl-devel
Obsoletes: acl-devel

%description -n libacl-devel
This package contains static libraries and header files needed to develop
programs which make use of the access control list programming interface
defined in POSIX 1003.1e draft standard 17.

%prep
if [ -f .census ] ; then
   if [ ! -d ${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION} ] ; then
      ln -s . ${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}
   fi
else
%setup
/usr/bin/gmake configure
fi

%build
/usr/bin/gmake

%install
DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
DIST_INSTALL_LIB=`pwd`/install-lib.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV DIST_INSTALL_LIB
/usr/bin/gmake install DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/gmake -C build/rpm rpmfiles DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/gmake install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
/usr/bin/gmake -C build/rpm rpmfiles-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
/usr/bin/gmake install-lib DIST_MANIFEST="$DIST_INSTALL_LIB"
/usr/bin/gmake -C build/rpm rpmfiles-lib DIST_MANIFEST="$DIST_INSTALL_LIB"

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libacl -p /sbin/ldconfig

%postun -n libacl -p /sbin/ldconfig

%files -f build/rpm/rpmfiles

%files -n libacl-devel -f build/rpm/rpmfiles-dev

%files -n libacl -f build/rpm/rpmfiles-lib
